import React from 'react';
import { Link, BrowserRouter as Router, Route, Routes } from 'react-router-dom';

import Home from './pages/home';
import StopsNonConforming from './pages/stops-non-conforming';
import StopsRefined from './pages/stops-refined';

export default function App(){
    return (
	<div className='App'>
	    <Router>
	    <Link to='/'>
		<button>Home</button>
	    </Link>
	    <h1>NAP Display</h1>
	    <h2>
		Wellcome to the German NAP Display!
	    </h2>
	    <p>
		This page compares Global IDs of stops from different NAP sources. <br/>
	    </p>
		<Routes>
		    <Route exact path='/' element={<Home/>}/>
		    <Route exact path='/stops-non-compliant' element={<StopsNonConforming/>}/>
		    <Route exact path='/stops-refined' element={<StopsRefined/>}/>
		</Routes>
	    </Router>
	</div>
    );
}
